summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-01-18 00:28:39 +0000
committerSam James <sam@gentoo.org>2021-01-18 00:30:37 +0000
commite46d114fc8b4a39b3adfba0f4c5a0f519e646a95 (patch)
tree8e1919c54f10e614cb077f59cda4311ae712627a
parentapp-doc/devmanual: Add missing dependency (diff)
downloadgentoo-e46d114fc8b4a39b3adfba0f4c5a0f519e646a95.tar.gz
gentoo-e46d114fc8b4a39b3adfba0f4c5a0f519e646a95.tar.bz2
gentoo-e46d114fc8b4a39b3adfba0f4c5a0f519e646a95.zip
profiles/arch/sparc: stable-mask net-proxy/privoxy[mbedtls]
net-libs/mbedtls isn't stable on sparc right now, and it doesn't make sense to block stabilisation for a security bug for a new dependency that's optional. We also add a package.use entry to avoid REQUIRED_USE conflicts for users on stable. Bug: https://bugs.gentoo.org/758428 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--profiles/arch/sparc/package.use7
-rw-r--r--profiles/arch/sparc/package.use.stable.mask7
2 files changed, 14 insertions, 0 deletions
diff --git a/profiles/arch/sparc/package.use b/profiles/arch/sparc/package.use
index 4babc96027f..944a4104549 100644
--- a/profiles/arch/sparc/package.use
+++ b/profiles/arch/sparc/package.use
@@ -1,6 +1,13 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+# Sam James <sam@gentoo.org> (2020-01-18)
+# net-libs/mbedtls is not stable on sparc
+# so, let's enable openssl to avoid
+# REQUIRED_USE default conflicts for users.
+# bug #758428
+net-proxy/privoxy openssl
+
# Michał Górny <mgorny@gentoo.org> (2016-09-24)
# Enable the GPU targets matching the default VIDEO_CARDS
dev-ml/llvm-ocaml llvm_targets_AMDGPU
diff --git a/profiles/arch/sparc/package.use.stable.mask b/profiles/arch/sparc/package.use.stable.mask
index 092986b5bb3..f672af78d46 100644
--- a/profiles/arch/sparc/package.use.stable.mask
+++ b/profiles/arch/sparc/package.use.stable.mask
@@ -1,6 +1,13 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+# Sam James <sam@gentoo.org> (2020-01-18)
+# net-libs/mbedtls is not stable on sparc
+# see also: package.use entry to allow
+# installs for now (+openssl).
+# bug #758428
+net-proxy/privoxy mbedtls
+
# Sam James <sam@gentoo.org> (2021-01-04)
# Drags in qt which is not stable here
# bug #763405